Subject: Chairs, please review ... FW: Last Call: <draft-secretaries-good-practices-06.txt> (IETF Working Groups' Secretaries) to Best Current Practice

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 12 Jun 2014 14:49:54 +0100

Hi chairs,

Your contribution to review of this document during IETF last call is important.

Thanks,
Adrian

> -----Original Message-----
> From: IETF-Announce [mailto:[email-masked]] On Behalf Of The
> IESG
> Sent: 12 June 2014 14:27
> To: IETF-Announce
> Subject: Last Call: <draft-secretaries-good-practices-06.txt> (IETF Working
> Groups' Secretaries) to Best Current Practice
> 
> 
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'IETF Working Groups' Secretaries'
>   <draft-secretaries-good-practices-06.txt> as Best Current Practice
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2014-07-10. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
>    The Working Group Secretary's role was succinctly defined in RFC
>    2418. However, this role has greatly evolved and increased both in
>    value and scope, since the writing of RFC 2418. This document updates
>    RFC 2418 by providing a new definition of the Working Group
>    Secretary's role. This document also provides a compilation of good
>    practices and general guidelines regarding the fulfilment of the
>    role.
> 
>    This document is intended for established Working Group Secretaries,
>    individuals motivated by taking up that role, or anyone else simply
>    interested in understanding better the Working Group Secretary's
>    role. This document may also be useful for Working Group Chairs to
>    better appreciate and help develop the value of Working Group
>    Secretaries.
> 
>    This document would be published as part of BCP 25.
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-secretaries-good-practices/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-secretaries-good-practices/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Jun 2014 11:57:03 -0400

This document shifts back and forth between two tones.  And thus ends up 
inconsistent.

As a document that lists things that WG secretaries may do, I can't 
argue with it.  As far as I can tell, all the things listed are things 
that some secreteries, in some WGs, may do.

However, such a document is not a BCP.  It is informational.

As a BCP, it would be saying that these are things that WG secretaries 
should be doing.  I think that matches the tone of much of the document, 
but directly contradicts the introduction.  And would be a bad idea.  As 
the introduction says, different WGs are different.

Net: I ahve no problem as an informational document.  I have serious 
concerns as a BCP.

Yours,
Joel

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 12 Jun 2014 17:03:18 +0100

Hi Joel,

Thanks for reading it.

Two follow-up questions...

In your view, does this update 2418?

Do you think that saying what Secretaries are *allowed* to take on delegation is
formally defining process? (Allowed is clearly different from should)

And, (in the true tradition of the Spanish Inquisition, here is a third
question) would you consider sending your comments to the IETF list as part of
the last call?

Cheers,
Adrian

> From: Joel M. Halpern [mailto:[email-masked]]
> Sent: 12 June 2014 16:57
> To: [email-masked]; [email-masked]
> Subject: Re: Chairs, please review ... FW: Last Call: <draft-secretaries-good-
> practices-06.txt> (IETF Working Groups' Secretaries) to Best Current Practice
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Jun 2014 12:10:47 -0400

Yours,
Joel

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 12 Jun 2014 17:14:30 +0100

Fair enough.

Thanks for comments that are duly noted and that I will place in my IETF last
call folder.

A

> From: Joel Halpern Direct [mailto:[email-masked]]
> Sent: 12 June 2014 17:08
> taking your questions in order:
> No, I do not think that this updates 2418.
> And no, I do not think this requires formally defining process.
> 
> As far as I can tell, even with what this document says, the chair is
> still responsible for seeing that all the things in 2418 happen.
> Delegating is something folks are allowed to do, as long as they take
> responsibility for the result of the delegation.
> 
> And no, I do not feel like having that debate on the IETF list this
> week.  Or the next two.  I suppose if this is still being thrashed in
> several weeks when I have time to actually respond to folks, I would be
> willing to make these points on that list.
> 
> Note: We have had the discussion of :you can always delegate without a
> rules update" several times, in several contexts.  The answer always
> eventually comes out "yep, that's true."
> 
> Yours,
> Joel
> 
> On 6/12/14, 12:03 PM, Adrian Farrel wrote:
> > Hi Joel,
> >
> > Thanks for reading it.
> >
> > Do you think that saying what Secretaries are *allowed* to take on
delegation
> is
> >>>> From: IETF-Announce [mailto:[email-masked]] On Behalf
> Of
> >> The
> >>>> IESG
> >>>> Sent: 12 June 2014 14:27
> >>>> To: IETF-Announce

---

From: Joel Halpern Direct <[email-masked]>
Date: Thu, 12 Jun 2014 12:08:09 -0400

Yours,
Joel

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 12 Jun 2014 16:27:47 +0000

Joel,

I do not disagree with the line of your comments and description , however I think you may have overlooked or missed some text in the document that led you to your conclusion. What you describe is consistent with the doc approach and I do not see a problem with it.

This document is mostly an informational document. However, one section of this document is a BCP, as it updates a definition in RFC 2418/BCP 25.

Specifically:

"

This document updates
   RFC 2418<http://tools.ietf.org/html/rfc2418> by providing a new definition of the Working Group
   Secretary's role. This document also provides a compilation of good
   practices and general guidelines regarding the fulfilment of the
   role.

"

And

"

   Section 2<http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-2> of this document is normative and updates the whole Section<http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-6.2>
   6.2<http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-6.2> of RFC 2418<http://tools.ietf.org/html/rfc2418>. Section 3<http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-3> of this document gives detailed
   descriptive information of the WG Secretary's functions,
   responsibilities, and good practices.

"

These two quotes are consistent with what you describe. Informational, with a BCP section updating a BCP.

We did check with Scott Bradner and he suggested this approach -- needs to be BCP as the *definition of Secretary* updates a BCP.

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

On Jun 12, 2014, at 12:57 PM, "Joel M. Halpern" <[email-masked]<mailto:[email-masked]>> wrote:

This document shifts back and forth between two tones.  And thus ends up inconsistent.

As a document that lists things that WG secretaries may do, I can't argue with it.  As far as I can tell, all the things listed are things that some secreteries, in some WGs, may do.

As a BCP, it would be saying that these are things that WG secretaries should be doing.  I think that matches the tone of much of the document, but directly contradicts the introduction.  And would be a bad idea.  As the introduction says, different WGs are different.

Net: I ahve no problem as an informational document.  I have serious concerns as a BCP.

Yours,
Joel

Thanks,
Adrian

-----Original Message-----

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action. Please send substantive comments to the
[email-masked]<mailto:[email-masked]> mailing lists by 2014-07-10. Exceptionally, comments may be
sent to [email-masked]<mailto:[email-masked]> instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

Abstract

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Thu, 12 Jun 2014 16:34:33 +0000

Again, I do not disagree that delegation does not need rules updates. 

However this document is not updating the chair role from 2418 to say "chairs can formally delegate". 

What this is updating is the definition of a Secretary. In 2418, a Secretary is a note taker. We are updating that. 

Scott can of course speak for himself, but just to share the doc history and rationale for the intended status designation and update metadata of this draft, taking to Scott (as author of 2418) agreed it's an update. 

We tried to capture this specifically in the two sentences I quoted before, perhaps those might not be too clear and need refinement. Do you think we should clarify those?

Thanks, 

> On Jun 12, 2014, at 1:24 PM, "Joel Halpern Direct" <[email-masked]> wrote:
> 
> As far as I can tell, even with what this document says, the chair is still responsible for seeing that all the things in 2418 happen. Delegating is something folks are allowed to do, as long as they take responsibility for the result of the delegation.
> 
> And no, I do not feel like having that debate on the IETF list this week.  Or the next two.  I suppose if this is still being thrashed in several weeks when I have time to actually respond to folks, I would be willing to make these points on that list.
> 
> Note: We have had the discussion of :you can always delegate without a rules update" several times, in several contexts.  The answer always eventually comes out "yep, that's true."
> 
> Yours,
> Joel
>

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Jun 2014 12:35:16 -0400

So do not claim to update 2418.  Instead, simply note in section 2 that 
chairs are free to delegate work, as long as they take responsibility 
for the result.  And that the WG secretary is a good candidate for such 
delegation.  (In better words than I just wrote.)

Do we face a serious objections that such delegation is NOT permitted 
under current rules?

Thus you do not update 2418, and therefore you do not need BCP status.

Yours,
Joel

On 6/12/14, 12:27 PM, Carlos Pignataro (cpignata) wrote:
> Joel,
>
> I do not disagree with the line of your comments and description ,
> however I think you may have overlooked or missed some text in the
> document that led you to your conclusion. What you describe is
> consistent with the doc approach and I do not see a problem with it.
>
> This document is mostly an informational document. However, one section
> of this document is a BCP, as it updates a definition in RFC 2418/BCP 25.
>
> Specifically:
>
> "
>
> This document updates
>     RFC 2418  <http://tools.ietf.org/html/rfc2418>  by providing a new definition of the Working Group
>     Section 2  <http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-2>  of this document is normative and updates the wholeSection  <http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-6.2>
>     6.2  <http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-6.2>  ofRFC 2418  <http://tools.ietf.org/html/rfc2418>.Section 3  <http://tools.ietf.org/html/draft-secretaries-good-practices-06#section-3>  of this document gives detailed
> We did check with Scott Bradner and he suggested this approach -- needs
> to be BCP as the *definition of Secretary* updates a BCP.
>
>> should be doing.  I think that matches the tone of much of the
>> document, but directly contradicts the introduction.  And would be a
>> bad idea.  As the introduction says, different WGs are different.
>>
>>>> [email-masked] <mailto:[email-masked]> mailing lists by 2014-07-10.
>>>> Exceptionally, comments may be
>>>> sent to [email-masked] <mailto:[email-masked]> instead. In either
>>>> case, please retain the

---

From: Barry Leiba <[email-masked]>
Date: Thu, 12 Jun 2014 12:35:13 -0400

Absolutely: 2418 specifies a WG Secretary that only takes minutes and
records things.  This document redefines the role as a much broader
one, and in that sense this clearly is a BCP and "updates" 2418.

Barry

On Thu, Jun 12, 2014 at 12:27 PM, Carlos Pignataro (cpignata)
<[email-masked]> wrote:
> Joel,
>
> I do not disagree with the line of your comments and description , however I
> think you may have overlooked or missed some text in the document that led
> you to your conclusion. What you describe is consistent with the doc
> approach and I do not see a problem with it.
>
> This document is mostly an informational document. However, one section of
> this document is a BCP, as it updates a definition in RFC 2418/BCP 25.
>
> Specifically:
>
> "
>
> This document updates
>    Section 2 of this document is normative and updates the whole Section
>    6.2 of RFC 2418. Section 3 of this document gives detailed
> We did check with Scott Bradner and he suggested this approach -- needs to
> be BCP as the *definition of Secretary* updates a BCP.
>
> On Jun 12, 2014, at 12:57 PM, "Joel M. Halpern" <[email-masked]> wrote:
>
> As a document that lists things that WG secretaries may do, I can't argue
> with it.  As far as I can tell, all the things listed are things that some
> secreteries, in some WGs, may do.
>
> should be doing.  I think that matches the tone of much of the document, but
> directly contradicts the introduction.  And would be a bad idea.  As the
> introduction says, different WGs are different.
>

---

From: Barry Leiba <[email-masked]>
Date: Thu, 12 Jun 2014 12:37:40 -0400

> chairs are free to delegate work, as long as they take responsibility for
> the result.  And that the WG secretary is a good candidate for such

But this isn't saying "You can delegate to anyone, including the WG
Secretary."  This is saying that the Secretary is a role that includes
these sorts of delegations.  The facts that the WGCs choose what to
delegate and what not to, and that they can also delegate to other
people... doesn't change that this redefines the WGS role.

Barry

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Jun 2014 12:38:14 -0400

Unless we are trying to mandate that secretaries MUST do those roles, or 
that WG chairs can only delegate those responsibilities to the 
secretaries, then we are NOT changing the definition of WG secretary.

As far as I can tell, we are providing useful advice to chairs:
1) You can delegate these things
2) The WG secretary is a good party to consider as the designee

Thus, I like the title "good practices".

Yours,
Joel

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Jun 2014 12:42:46 -0400

By that reading Barry, we are mandating that the secretary is supposed 
to do these things.  Most of the document is VERY clear that it (and 
therefore we) are not mandating any such thing.

Yes, 2418 says that the formal definition fo the WG secretary does X and 
Y.  That does not mean that the chair can not ask the secretary (or 
anyone else) to do other things.  Are you really claiming that I am 
violating 2418 when I ask the secretary to carry the blue sheet to the 
staff?  Hogwash.  (And no, I don't think that is what you are saying. 
But if it requires an update to 2418 to allow the chair to ask the 
secretary to do these other things, that would be the corollary.)

Conversely, by making it a BCP, even if the intent is only to relax the 
rules of 2418, we convey precisely the impression that chairs are 
supposed to delegate these tasks to these people.  Mandating such 
delegation is a VERY different proposition from what most of the 
document tries to do, and what Carlos said clearly is the authors' intent.

Yours,
Joel

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 12 Jun 2014 09:47:25 -0700

> Net: I ahve no problem as an informational document.  I have serious concerns as a BCP.

A big +1. I don't want anyone to look at a BCP and say "your WG needs a secretary in order to follow best practices" or, for my WG that has a secretary, "your secretary is not following the best practice because you didn't tell him/her to do X".

--Paul Hoffman

---

From: Tom Taylor <[email-masked]>
Date: Thu, 12 Jun 2014 14:45:21 -0400

I find Joel's arguments convincing.

Tom Taylor

On 12/06/2014 12:42 PM, Joel M. Halpern wrote:
>>> for

---

From: Lou Berger <[email-masked]>
Date: Thu, 12 Jun 2014 17:52:06 -0400

I too agree...

Lou

---

From: Martin Vigoureux <[email-masked]>
Date: Thu, 12 Jun 2014 23:55:34 +0200

and personally I don't.

The document does not dictate what must be done but what we believe is 
the best way Secretaries can support their Chairs, noting that the scope 
of action depends on what they decide together. Isn't that a BCP?

If there are suggestions on how things might be done better or on 
elements we have missed, we are really open to incorporating those.

-m

---

From: Martin Vigoureux <[email-masked]>
Date: Thu, 12 Jun 2014 23:58:20 +0200

Paul,

I do not think anyone will ever tell you "your WG needs a secretary in 
order to follow best practices", at least not waving our document, 
because this is not a BCP for WGs.

I do not think anyone will ever tell you "your secretary is not 
following the best practice because you didn't tell him/her to do X", 
because BCPs are not necessarily saying "you MUST do it that way".
If it was the case each WG would need to appoint a Secretary as 2418 
defines the role ...

-m

---

From: Martin Vigoureux <[email-masked]>
Date: Fri, 13 Jun 2014 00:04:08 +0200

Joel,

thanks for sharing your opinion.

Do you oppose to recognizing that the role of WG Secretaries has evolved 
since the writing of RFC 2418 and that the definition it gives (which 
does not mention delegation, and is thus inherently limited to its 
current form) needs to change to reflect that evolution?

-m

Le 12/06/2014 17:57, Joel M. Halpern a écrit :
>>> Of The

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 12 Jun 2014 18:09:16 -0400

First, the absence of a description of delegation in RFC 2418 does NOT 
mean that such delegation to secretaries is prohibited.  In general, WG 
chairs are free to do whatever works well for the working group, except 
where specifically prohibited.  RFC 2418 does not make any such prohibition.

If someone reading 2418 thinks it is making prohibitions, that someone 
reading a BCP version of this document would think that it was mandating 
something.

I have no problem with describing that fact that we have found some 
additional delegations that in many cases are useful.  I LIKE the 
document.  I just do not see any reason to mark it BCP, and I do see 
drawbacks to such marking.

There is, from where I sit, no need at all to update 2418.

As a community, we have a tendency to think we need rules.  Good advice 
is great stuff.  Publish the informational RFC.  I will probably use 
some of it in my current WGs.  (Heck, I do delegate some things to my 
current secretaries that are not in 2418.)

Yours,
Joel

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 13 Jun 2014 08:03:25 +0200

> of action depends on what they decide together. Isn't that a BCP?

With that statement I am now clearly in the camp of those who believe
this should not be a BCP.

The document lists various ways how a Secretary can support their
Chairs, it does IMHO not describe the "best way Secretaries can
support their Chairs". The document provides useful information, it
does not define best practices since what is best depends on WG
specifics and also WG chair personalities.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Martin Vigoureux <[email-masked]>
Date: Fri, 13 Jun 2014 11:05:32 +0200

You might do not see the need to update 2418, on my side I do not see 
the harm of doing so, especially knowing that it "requests discussion 
and suggestions for improvements."
Even more, a good reason for doing so is to recognize the engagement and 
work of Secretaries for the benefit of their WGs and beyond.

-m

---

From: Martin Vigoureux <[email-masked]>
Date: Fri, 13 Jun 2014 11:39:47 +0200

> specifics and also WG chair personalities.

The dependency is not contradictory with making this a BCP.
2418 has defined the Secretary role, yet there are working groups which 
do not have a secretary. Does this make 2418 not a BCP any more? No.
Does this legitimate the claim that these WG do not follow the best 
current practices? No

Now, if you believe there are better ways than those written, please do 
share them so that we can improve the document.

Thanks
-m

---

From: Ralph Droms <[email-masked]>
Date: Fri, 13 Jun 2014 09:57:11 -0400

I've read the discussion thread.  Here are my thoughts...

Let me begin by thanking the authors for their diligence and effort in
compiling and writing down a thorough and well-organized description
of the responsibilities and tasks associated with running a WG.

In my opinion, this document has two major components:

1) an update to the formal and quite limited definition of the role of
the WG secretary in section 6.2 of RFC 2418
2) a list of responsibilities and tasks associated with the ongoing
running of a WG and an in-person WG meeting at an IETF meeting.

The first component is addressed primarily in sections 2 and 5 of
"IETF Working Groups' Secretaries."  Section 2 formally allows for the
expansion of the role of WG Secretary, as defined in RFC 2418, and
section 4 notes that the role should be more formally recognized with
access to WG support tools.

The second component is embodied in section 3, which lays out in
conditional language procedures and tasks that, in my opinion, are
important responsibilities for WG chairs, secretaries and other WG
admin staff.

In my opinion, these two components are, to a large degree,
independent and have different characteristics.

Here are my opinions on how to proceed...

First, it's important that RFC 2418 be updated to allow for a WG
secretary to take on greater responsibilities, at the discretion of
the WG chairs.  It's also important that the update include formal
recognition that WG secretaries should be given access to WG support
tools.  Therefore, I recommend that RFC 2418 be updated with a short
BCP that expands the potential role for WG secretaries and that
formally grants permission for secretaries to have access to WG tools.

Second, because the second component is a series of recommendations
that may not apply to all WGs and that may change over time, I
recommend that this very useful material be integrated into the IETF
wiki "Working Group Chairs' Page" <http://www.ietf.org/wg/chairs-page.html>

- Ralph

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Fri, 13 Jun 2014 11:04:16 -0400

> specifics and also WG chair personalities.

	I very much agree with Juergen on this. The document needs to be more prescriptive, or its basically a conversational piece. 

	--Tom

---

From: Robert Sparks <[email-masked]>
Date: Fri, 13 Jun 2014 10:57:50 -0500

Thanks for that Ralph. I was in the middle of writing something very 
similar.

I support the idea of splitting the very short update to 2418 out - that 
will
help focus the remaining process arguments.

I agree with you that putting the remaining content on a wiki and putting
pressure on evolving it would be worthwhile. I also have no problem with
publishing that remainder as an informational RFC.

(also - I've been assigned as the genart reviewer for this document. My 
review
should be in soon.)

RjS

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 13 Jun 2014 12:11:01 -0400

While I do not think it is necessary, I can live with a short document 
that is a BCP saying "WG Secretaries can do lots of other tasks at the 
chairs' discretion."

Yours,
Joel

On 6/13/14, 11:57 AM, Robert Sparks wrote:
>> wiki "Working Group Chairs' Page"
>> <http://www.ietf.org/wg/chairs-page.html>
>>
>> - Ralph
>>
>
>

---

From: Linda Dunbar <[email-masked]>
Date: Fri, 13 Jun 2014 22:07:56 +0000

Is it realistic for the WG secretaries to take the responsibility of sorting out major topics, issues or conflicts of opinions expressed on mailing list, posted drafts, resolutions, etc on weekly/bi-weekly (or monthly) basis?

And keeping a tab on the comments that haven't been addressed? 
It is easy to notice the loudest voices. Very often some people's voices don't get heard in some WGs.  

Linda
-----Original Message-----
From: WGChairs [mailto:[email-masked]] On Behalf Of Joel M. Halpern
Sent: Friday, June 13, 2014 11:11 AM
To: Robert Sparks; [email-masked]
Subject: Re: Chairs, please review ... FW: Last Call: <draft-secretaries-good-practices-06.txt> (IETF Working Groups' Secretaries) to Best Current Practice

While I do not think it is necessary, I can live with a short document that is a BCP saying "WG Secretaries can do lots of other tasks at the chairs' discretion."

Yours,
Joel

On 6/13/14, 11:57 AM, Robert Sparks wrote:
> I support the idea of splitting the very short update to 2418 out - 
> that will help focus the remaining process arguments.
>
> I agree with you that putting the remaining content on a wiki and 
> putting pressure on evolving it would be worthwhile. I also have no 
> problem with publishing that remainder as an informational RFC.
>
> (also - I've been assigned as the genart reviewer for this document. 
> My review should be in soon.)
>
> RjS
>
>> Let me begin by thanking the authors for their diligence and effort 
>> in compiling and writing down a thorough and well-organized 
>> description of the responsibilities and tasks associated with running a WG.
>>
>> 1) an update to the formal and quite limited definition of the role 
>> of the WG secretary in section 6.2 of RFC 2418
>> "IETF Working Groups' Secretaries."  Section 2 formally allows for 
>> the expansion of the role of WG Secretary, as defined in RFC 2418, 
>> and section 4 notes that the role should be more formally recognized 
>> with access to WG support tools.
>>

---

From: Tom Taylor <[email-masked]>
Date: Fri, 13 Jun 2014 18:53:49 -0400

That's getting very close to and in fact overlapping the Chairs' job.

---

From: Linda Dunbar <[email-masked]>
Date: Fri, 13 Jun 2014 23:50:40 +0000

-----Original Message-----
From: WGChairs [mailto:[email-masked]] On Behalf Of Tom 
That's getting very close to and in fact overlapping the Chairs' job.

[Linda] Chairs of many WGs that I participated don't do this job though. 

Linda

On 13/06/2014 6:07 PM, Linda Dunbar wrote:
> Subject: Re: Chairs, please review ... FW: Last Call: 
> <draft-secretaries-good-practices-06.txt> (IETF Working Groups' 
> Secretaries) to Best Current Practice
>

---

From: Melinda Shore <[email-masked]>
Date: Fri, 13 Jun 2014 16:00:35 -0800

> [Linda] Chairs of many WGs that I participated don't do this job though. 

Well, that's a different issue.  In general all and any working group
participants can start a discussion.  If a chair is not doing his or
her job bringing topics to closure, take it up with the responsible
AD.

As to the document, I'm not really a fan of introducing yet
more structure to the organization and I'm not sure that formally
defining a working group secretary role is particularly valuable.
I wonder if it would be possible to make a policy change allowing
working group secretaries access to working group support tools
without making formal changes to the role.

[Are chairs really offloading this much core work onto secretaries?]

Melinda

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Sat, 14 Jun 2014 05:55:06 +0000

> one, and in that sense this clearly is a BCP and "updates" 2418.

I think I would say it defines a set of things that may, under the direction of the chair(s), be part of the role of a secretary. The secretary is administrative support for the chair, and does tasks that are formally tasks of the chair that the chair delegates to him or her.

I would agree that the chair can and perhaps should delegate tasks. We ask for jabber scribes and people to take notes towards minutes. If we can delegate to a random attendee, why not to a formally-appointed person?

I think I am also with the viewpoint that this is informational. 

Here’s where I scratch my head. My working group, right now, doesn’t have a secretary. Suppose, just for yucks, that we appoint one. I would feel very strange is that person came to me and said “RFC 12345 says I’m supposed to do <this>.” I think they should say that the indicated RFC says that I *might* ask them to do “<this>”, and perhaps “would you like me to do that?". BTW, I might ask them to do something not in the RFC, such as run around the room with a handheld mike if circumstances call for someone to do that. Or I might *not* ask them to file the request for a session, reserving that function for myself.

2418 is perhaps too definitive, in that it specifies a single function. Section 6.2, if I were to write it today, would simply say that the secretary is administrative support to the chair, and the chair may temporarily or permanently delegate tasks to them that would otherwise be the responsibility of the chair. I might list the preparation of minutes as an example of such a task. If you want to update 2418, update it to say that. If you want to go into the rest of the things in the draft - they’re all good, but they are all examples of tasks *of*the*chair* that the chair might, at his or her discretion, delegate. They are not defined tasks of*the*secretary*.

---

From: Martin Vigoureux <[email-masked]>
Date: Sat, 14 Jun 2014 16:13:33 +0200

Melinda,

please see in-line.

> without making formal changes to the role.
Please note 2418 introduced the Secretary role. This document does not; 
it refines it.

The access to tools is a non issue.
As far as I remember I got access to the meeting material manager and 
session request tool quite automatically.

> [Are chairs really offloading this much core work onto secretaries?]
Do you really consider that what is described in this document is the 
"core work" of WG Chairs??

And yes, some chairs do delegate as much, and as far as I can tell they 
are quite happy with that as they can focus their time and efforts on 
the technical dimension of their job.

-m

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sun, 15 Jun 2014 20:02:29 +0000

This pretty much covers the issue I was seeing with the current text, i.e. some form of expectation that any appointed secretary should do, or expect to do, all these functions, without them being delegated by the chair.

Further it should be clear that many of these functions could be delegated elsewhere by the WG chairs, whether or not a WG secretary has been appointed or not.

The other question is of course when do we pass from having a WG secretary, to someone who is effectively a further WG chair under another name.

Regards

Keith 

> From: WGChairs [mailto:[email-masked]] On Behalf 
> Of Fred Baker (fred)
> Sent: 14 June 2014 06:55
> To: Barry Leiba
> Cc: Carlos Pignataro (cpignata); [email-masked]; 
> [email-masked]
> <draft-secretaries-good-practices-06.txt> (IETF Working 
> I think I would say it defines a set of things that may, 
> under the direction of the chair(s), be part of the role of a 
> secretary. The secretary is administrative support for the 
> chair, and does tasks that are formally tasks of the chair 
> that the chair delegates to him or her.
> 
> I would agree that the chair can and perhaps should delegate 
> tasks. We ask for jabber scribes and people to take notes 
> towards minutes. If we can delegate to a random attendee, why 
> not to a formally-appointed person?
> 
> Here's where I scratch my head. My working group, right now, 
> doesn't have a secretary. Suppose, just for yucks, that we 
> appoint one. I would feel very strange is that person came to 
> me and said "RFC 12345 says I'm supposed to do <this>." I 
> think they should say that the indicated RFC says that I 
> *might* ask them to do "<this>", and perhaps "would you like 
> me to do that?". BTW, I might ask them to do something not in 
> the RFC, such as run around the room with a handheld mike if 
> circumstances call for someone to do that. Or I might *not* 
> ask them to file the request for a session, reserving that 
> function for myself.
> 
> 2418 is perhaps too definitive, in that it specifies a single 
> function. Section 6.2, if I were to write it today, would 
> simply say that the secretary is administrative support to 
> the chair, and the chair may temporarily or permanently 
> delegate tasks to them that would otherwise be the 
> responsibility of the chair. I might list the preparation of 
> minutes as an example of such a task. If you want to update 
> 2418, update it to say that. If you want to go into the rest 
> of the things in the draft - they're all good, but they are 
> all examples of tasks *of*the*chair* that the chair might, at 
> his or her discretion, delegate. They are not defined tasks 
> of*the*secretary*.
>

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sun, 15 Jun 2014 20:02:30 +0000

Because it is delegated to the document editor by the chair.

If we update the responsibilities of the WG secretary to include this, does it also mean that we have to update the document editor role to also include it.

Which would then take us back to Joel's comment.

Keith 

> Of Linda Dunbar
> Sent: 14 June 2014 00:51
> To: Tom Taylor; [email-masked]
> Subject: RE: Chairs, please review ... FW: Last Call: 
> Of Tom That's getting very close to and in fact overlapping 
> the Chairs' job.
> 
> 
> > Is it realistic for the WG secretaries to take the 
> responsibility of sorting out major topics, issues or 
> conflicts of opinions expressed on mailing list, posted 
> drafts, resolutions, etc on weekly/bi-weekly (or monthly) basis?
> >
> > It is easy to notice the loudest voices. Very often some 
> people's voices don't get heard in some WGs.
> >
> >
> > Linda
> Of Joel M. 
> > Halpern
> > While I do not think it is necessary, I can live with a 
> short document that is a BCP saying "WG Secretaries can do 
> lots of other tasks at the chairs' discretion."
> >
> > Yours,
> > Joel
> >

---

From: Tim Chown <[email-masked]>
Date: Mon, 16 Jun 2014 09:27:24 +0100

Hi,

> The other question is of course when do we pass from having a WG secretary, to someone who is effectively a further WG chair under another name.

I agree with Keith, and Fred,

I would add that some WGs do have or have had three chairs. If the WG load is large, or there are other valid reasons for doing so, appointing a third chair would seem equaly if not more appropriate than a secretary who, if they are doing a large number of the potential delegated tasks described in the new draft, would be undertaking a significant portion of a WG chair's responsibilities anyway.

Tim

---

From: Martin Vigoureux <[email-masked]>
Date: Mon, 16 Jun 2014 11:03:28 +0200

Keith, Fred,

I fail to understand how a Secretary could develop the understanding you 
describe. The draft uses could, not should/SHOULD nor must/MUST.

-m

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Mon, 16 Jun 2014 15:05:15 +0000

On Jun 16, 2014, at 2:03 AM, Martin Vigoureux <[email-masked]> wrote:

> I fail to understand how a Secretary could develop the understanding you describe. The draft uses could, not should/SHOULD nor must/MUST.

If it used normative language, I would be even more worried. The thing that concerns me is that it is a job description. Yes, RFC 2418.txt uses “MUST" 18 times and “SHOULD" once, and doesn’t use “could”. But in my mind, if there is a description of a job, it applies to the job. If I become someone who is doing a described job, I read the job description pretty carefully, and that is what I expect.

As I said, the ID describes jobs that are actually jobs of the chair, jobs that the chair might or might not delegate to someone, and that someone might be designated as one of zero or more secretaries. I, personally, would be much happier if it said that, rather than describing them as jobs of the secretary.

---

From: Ralph Droms <[email-masked]>
Date: Mon, 16 Jun 2014 13:15:14 -0400

> On Jun 16, 2014, at 11:05 AM, "Fred Baker (fred)" <[email-masked]> wrote:
> 
> 

Because RFC 2418 can be interpreted as limiting the responsibilities of a WG secretary, in my opinion we need an update to allow WG admin staff (chairs, secretaries, tech advisors, etc.) to agree on the delegation of and responsibility for WG operations.

Seems to me all of the specific tasks listed in the document are all important to the operation of the WG.  As the IETF has a list of WG procedures at http://www.ietf.org/wg/chairs-page.html, and the list of tasks may change over time, I suggest the bulk of this document should be integrated into the IETF wiki, and ongoing attention to its contents showing be encouraged.

- Ralph

(Follow up to http://www.ietf.org/mail-archive/web/wgchairs/current/msg12706.html)

---

From: "Black, David" <[email-masked]>
Date: Mon, 16 Jun 2014 13:29:22 -0400

+1 on small update to 2418 and using a wiki to maintain and update content
on what WG secretaries could do (and have done), as that content will
inevitably evolve as our "running code" experience with the role increases.

Thanks,
--David

> From: WGChairs [mailto:[email-masked]] On Behalf Of Ralph Droms
> Sent: Monday, June 16, 2014 1:15 PM
> To: Fred Baker (fred)
> Cc: [email-masked]
> > If it used normative language, I would be even more worried. The thing that
> concerns me is that it is a job description. Yes, RFC 2418.txt uses “MUST" 18
> times and “SHOULD" once, and doesn’t use “could”. But in my mind, if there is
> a description of a job, it applies to the job. If I become someone who is
> doing a described job, I read the job description pretty carefully, and that
> is what I expect.
> >
> > As I said, the ID describes jobs that are actually jobs of the chair, jobs
> that the chair might or might not delegate to someone, and that someone might
> be designated as one of zero or more secretaries. I, personally, would be much
> happier if it said that, rather than describing them as jobs of the secretary.
> 
> Because RFC 2418 can be interpreted as limiting the responsibilities of a WG
> secretary, in my opinion we need an update to allow WG admin staff (chairs,
> secretaries, tech advisors, etc.) to agree on the delegation of and
> responsibility for WG operations.
> 
> Seems to me all of the specific tasks listed in the document are all important
> to the operation of the WG.  As the IETF has a list of WG procedures at
> http://www.ietf.org/wg/chairs-page.html, and the list of tasks may change over
> time, I suggest the bulk of this document should be integrated into the IETF
> wiki, and ongoing attention to its contents showing be encouraged.
> 
> - Ralph
> 
> (Follow up to http://www.ietf.org/mail-
> archive/web/wgchairs/current/msg12706.html)

---

From: "Fred Baker (fred)" <[email-masked]>
Date: Mon, 16 Jun 2014 17:37:36 +0000

> I fail to understand how a Secretary could develop the understanding you describe. The draft uses could, not should/SHOULD nor must/MUST.

One thing that I should say is that I have some experience with a secretary (called, in context, an executive director) exhibiting the kind of behavior I refer to. I’ll leave names out of it; you don’t have a need to know. If someone wants to guess, I’ll ask them to comment to me privately.

In one case, I chaired a committee and had an executive director from another committee as a liaison from that committee; in his second meeting on the call, he in essence started to execute what he interpreted the executive director role to be, which was to run the meeting from an agenda of his development. As chair, I had to shout him down to regain control of the meeting. 

In another case, the executive director was in fact the executive director for the committee in question, and had as his role the function of preparing and running a process, part of which happened in a meeting. However, as chair, judgement and consensus calls were my function. During the entire time I chaired that committee, getting him to let me do my function, as opposed to making the calls for me, was an ongoing battle.

Yes, given a job description, I absolutely believe that someone designated as a secretary might interpret the described role as being now their role. It has happened.

---

From: Melinda Shore <[email-masked]>
Date: Mon, 16 Jun 2014 09:43:56 -0800

On 6/16/14 9:29 AM, Black, David wrote:
> +1 on small update to 2418 and using a wiki to maintain and update
> content on what WG secretaries could do (and have done), as that
> content will inevitably evolve as our "running code" experience with
> the role increases.

I'm still not clear on why it's necessary to expand the role
of a secretary.  That is to say, if there's a problem with
a chair not doing his or her job I'm not sure the right answer
is to introduce more structure, but rather to do something about
the chair.

If someone were to ask about the ossification of the IETF
I might tend to point to this as an example.

Melinda

---

From: Ralph Droms <[email-masked]>
Date: Mon, 16 Jun 2014 13:49:02 -0400

> On Jun 16, 2014, at 1:43 PM, Melinda Shore <[email-masked]> wrote:
> 
> of a secretary.  

In my opinion, the text in RFC 2418 is too restrictive.  It doesn't need much updating: take away text about any specific tasks and add text about "responsibilities as delegated by chairs by chairs" and formal recognition that secretaries need access to IETF tools.

> That is to say, if there's a problem with

---

From: Lou Berger <[email-masked]>
Date: Mon, 16 Jun 2014 14:02:37 -0400

On 06/16/2014 01:15 PM, Ralph Droms wrote:
> in my opinion we need an update to allow WG admin staff (chairs,

I'm a bit baffled by this statement.  WG chairs have the responsibility
for WG operations, and are arbitrators of delegation of any of their
roles and responsibilities.  Period. The process is fairly open on how a
chair decides this, and involving others in the decision is generally a
good idea -- but this is at the chairs' discretion.

Lou

PS I do like the ideas captured in the document and think it's great
guidance to *chairs* on what & how they might choose to delegate, and to
potential secretaries on what kind of things they may be asked to do.

---

From: Olaf Kolkman <[email-masked]>
Date: Mon, 16 Jun 2014 21:07:49 +0200

On 12 jun. 2014, at 23:55, Martin Vigoureux <[email-masked]> wrote:

> The document does not dictate what must be done but what we believe is the best way Secretaries can support their Chairs, noting that the scope of action depends on what they decide together. Isn't that a BCP?

In the context of the IETF the policies for its participants are written as BCPs. And in the context of IETF policies I (I can only speak for myself) interpret those type of BCPs much more normative and binding than the  best current practice documents  (which you may voluntary adopt) for e.g. deployment of technology.

With that contextual interpretation in mind I I’d rather see this type of document as Informational.

—Olaf 
    No hats.

---

From: Ralph Droms <[email-masked]>
Date: Mon, 16 Jun 2014 16:37:39 -0400

> good idea -- but this is at the chairs' discretion.

We may be having more of a violent agreement than you think.  The entire text of RFC 2418 regarding the role of WG Secretaries is one paragraph and mentions only "[t]aking minutes and editing working group documents."  If the consensus is that there is no need to update that text to allow WG chairs to delegate more responsibilities to a WG Secretary, then no update is needed.  Seems to me it might be prudent to update the existing text with  text that doesn't list specific tasks, explicitly mentions delegation by the WG chairs and recognizes the requirement for WG Secretaries to have access to IETF tools.

I feel less strongly about that update than I do about *not* publishing the rest of the document as an RFC.  I think everything else really belongs in the WG Chairs section of the IETF wiki as "stuff the WG admin staff (chairs, secretary, etc.) needs to take core of."

- Ralph

---

From: Martin Vigoureux <[email-masked]>
Date: Mon, 16 Jun 2014 23:30:57 +0200

Melinda,

secretaries are not a substitute to low performing chairs.

Also, ossification does not come from rules (which by the way this 
document is not about) but from their inflexibility or from the 
inflexibility of their application.

-m

---

From: Martin Vigoureux <[email-masked]>
Date: Mon, 16 Jun 2014 23:49:23 +0200

Fred

> As I said, the ID describes jobs that are actually jobs of the chair, jobs that the chair might or might not delegate to someone, and that someone might be designated as one of zero or more secreta…

This is a constructive suggestion.
We can certainly add some text / bring some clarifications to end up 
saying that what is described is part of the job of the chairs and that 
those might wish to delegate O or more of those tasks.
This is for me implicit in the draft but we can make it explicit.

As a side note, the draft does not describe those tasks as the "jobs of 
the secretary"

-m

---

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Thu, 26 Jun 2014 21:27:01 +0000

Nice doc - thanks. 

Three points

1) I don’t support this as BCP but I do support it as information. 

2) I’d like it to say something about who can select a Secretary. The ADs? The Chairs?

3) I’d like it to clearly say that the Secretary can not make consensus calls for the WG - that is a chair role. 

Cullen

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 27 Jun 2014 12:43:48 +1000

+1

--
Mark Nottingham   https://www.mnot.net/

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 30 Jun 2014 12:16:58 +0100

> Net: I ahve no problem as an informational document.  I have serious 

I just read the draft and tend to agree with Joel. Most of the document 
is informational text along the lines of "these sort of things are good 
ideas for secretaries to do". So this looks like a small update to BCP 
with most of the document being Informational. Split into 2 documents?